List conversations
curl --request GET \
--url https://woes.dev/api/v1/conversations \
--header 'Authorization: Bearer <token>'const url = 'https://woes.dev/api/v1/conversations';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://woes.dev/api/v1/conversations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://woes.dev/api/v1/conversations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "list",
"hasMore": false,
"conversations": [
{
"object": "conversation",
"id": "6f6b6f9a-1b6a-4e42-9f71-1b9a3f3d2a33",
"channel": "api",
"status": "open",
"priority": "medium",
"subject": "Need help with auth",
"preview": "Need help with auth",
"customer": {
"id": "cus_123",
"name": "Ada Lovelace",
"email": "ada@example.com",
"company": "Example API Co",
"identitySource": "headers"
},
"createdAt": "2026-06-28T18:00:00.000Z",
"updatedAt": "2026-06-28T18:00:00.000Z",
"lastMessageAt": "2026-06-28T18:00:00.000Z",
"closedAt": null
}
]
}{
"code": "invalid_request",
"error": "Request body is invalid."
}{
"code": "unauthorized",
"error": "A valid workspace API key is required."
}{
"code": "insufficient_scope",
"error": "This API key is missing the required scope."
}{
"code": "rate_limited",
"error": "Too many API requests. Slow down and try again shortly."
}{
"code": "internal_error",
"error": "The API request could not be completed."
}List conversations
Lists recent workspace conversations visible to the API key workspace.
GET
https://woes.dev
/
api
/
v1
/
conversations
List conversations
curl --request GET \
--url https://woes.dev/api/v1/conversations \
--header 'Authorization: Bearer <token>'const url = 'https://woes.dev/api/v1/conversations';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://woes.dev/api/v1/conversations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://woes.dev/api/v1/conversations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "list",
"hasMore": false,
"conversations": [
{
"object": "conversation",
"id": "6f6b6f9a-1b6a-4e42-9f71-1b9a3f3d2a33",
"channel": "api",
"status": "open",
"priority": "medium",
"subject": "Need help with auth",
"preview": "Need help with auth",
"customer": {
"id": "cus_123",
"name": "Ada Lovelace",
"email": "ada@example.com",
"company": "Example API Co",
"identitySource": "headers"
},
"createdAt": "2026-06-28T18:00:00.000Z",
"updatedAt": "2026-06-28T18:00:00.000Z",
"lastMessageAt": "2026-06-28T18:00:00.000Z",
"closedAt": null
}
]
}{
"code": "invalid_request",
"error": "Request body is invalid."
}{
"code": "unauthorized",
"error": "A valid workspace API key is required."
}{
"code": "insufficient_scope",
"error": "This API key is missing the required scope."
}{
"code": "rate_limited",
"error": "Too many API requests. Slow down and try again shortly."
}{
"code": "internal_error",
"error": "The API request could not be completed."
}Authorizations
Workspace API key that starts with woesk_. Paste your own key into the docs playground; never expose it in browser code.
Query Parameters
Conversation status filter.
Available options:
open, waiting, solved Conversation channel filter.
Available options:
api, live-chat, email, discord Customer id filter.
Required string length:
1 - 200Number of records to return.
Required range:
1 <= x <= 100Response
Conversation list.
Allowed value:
"list"Hide child attributes
Hide child attributes
Allowed value:
"conversation"Available options:
api, live-chat, email, discord Available options:
open, waiting, solved Hide child attributes
Hide child attributes
Required string length:
1 - 200Maximum string length:
160Maximum string length:
320Maximum string length:
160Last modified on July 4, 2026
Was this page helpful?
